Plesk\backup\Agent\Schema\Backup\Mailsystem\MailsystemAType\PreferencesAType:
    properties:
        catchAll:
            expose: true
            access_type: public_method
            serialized_name: catch-all
            xml_element:
                cdata: false
            accessor:
                getter: getCatchAll
                setter: setCatchAll
            type: string
        domainKeys:
            expose: true
            access_type: public_method
            serialized_name: domain-keys
            xml_element:
                cdata: false
            accessor:
                getter: getDomainKeys
                setter: setDomainKeys
            type: Plesk\backup\Agent\Schema\Backup\DomainKeys
        webMail:
            expose: true
            access_type: public_method
            serialized_name: web-mail
            xml_element:
                cdata: false
            accessor:
                getter: getWebMail
                setter: setWebMail
            type: Plesk\backup\Agent\Schema\Backup\Mailsystem\MailsystemAType\PreferencesAType\WebMailAType
        greyListing:
            expose: true
            access_type: public_method
            serialized_name: grey-listing
            xml_element:
                cdata: false
            accessor:
                getter: getGreyListing
                setter: setGreyListing
            type: string
        outgoingMessages:
            expose: true
            access_type: public_method
            serialized_name: outgoing-messages
            xml_element:
                cdata: false
            accessor:
                getter: getOutgoingMessages
                setter: setOutgoingMessages
            type: array<Plesk\backup\Agent\Schema\Backup\OutgoingMessages\OutgoingMessagesAType\ParameterAType>
            xml_list:
                inline: false
                entry_name: parameter
                skip_when_empty: true
        certificate:
            expose: true
            access_type: public_method
            serialized_name: certificate
            xml_element:
                cdata: false
            accessor:
                getter: getCertificate
                setter: setCertificate
            type: string
        mailAutodiscover:
            expose: true
            access_type: public_method
            serialized_name: mail-autodiscover
            xml_element:
                cdata: false
            accessor:
                getter: getMailAutodiscover
                setter: setMailAutodiscover
            type: string
